Installing older versions of Brave?

I would like to know how to install older versions of the browser. In particular, I want to download the 1.17.44 release. How would I go about doing this, and how would I be able to prevent auto-updating on the browser?

Read completely…

having similar issues with new BRAVE version…

want to install prior version and deactivate auto-update…

did you actually get a reply to your problem?